Download it now!
Bug 122448 - View -> Master Slide vs Slide -> Master Slide... in Impress
Summary: View -> Master Slide vs Slide -> Master Slide... in Impress
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium trivial
Assignee: Roman Kuznetsov
URL:
Whiteboard: target:6.3.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Impress-UX
  Show dependency treegraph
 
Reported: 2019-01-03 18:33 UTC by Aron Budea
Modified: 2019-02-05 09:12 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-01-03 18:33:20 UTC
In the following commit Jay changed the previous name from "Master Slide Design..." to "Master Slide...":
https://cgit.freedesktop.org/libreoffice/core/commit/?id=e82e05380aecd53a89bc77dc97aba72f6d56ba83

While I agree that the name Master Slide Design wasn't fitting (same with the title of the dialog: Slide Design), I think it'd be clearer if menu items doing different things wouldn't share the same name.

Heiko/UX team, what are your thoughts?
Comment 1 Heiko Tietze 2019-01-04 08:45:34 UTC
Agreed, different functions should not labelled the same. Ideally, the commands follow a Verb-Noun scheme and we could rename the command as well the dialog title to "Change Slide Design" or "Select Master Design".
Comment 2 Aron Budea 2019-01-04 13:50:41 UTC
Is the terminology "slide design" used otherwise? For example in the Slide deck of the sidebar, the relevant field is simply called "Master Slide".

Therefore, perhaps something like Change/Set/Apply/Select Master Slide could be used for the menu entry and dialog title? (and we could get rid of the label in the dialog in the meantime)
Comment 3 Roman Kuznetsov 2019-01-04 18:22:01 UTC
https://gerrit.libreoffice.org/#/c/65860/

Offer change "Master Slide" to "Slide Design"
Comment 4 Heiko Tietze 2019-01-05 10:37:38 UTC
(In reply to Roman Kuznetsov from comment #3)
> https://gerrit.libreoffice.org/#/c/65860/
> 
> Offer change "Master Slide" to "Slide Design"

There are more places with this caption. Please wait with pushing to master (my review comes later).
Comment 5 Thomas Lendo 2019-01-08 23:55:48 UTC
I support the Verb-noun schema for the menu item suggested in comment 1 and comment 2.

What I don't want is to change the feature name (master slide) inconsiderably. Such a change would have a massive impact to the UI and help files.
Comment 6 Heiko Tietze 2019-01-10 11:06:55 UTC
We discussed the terminology in the design meeting. 

The command should be labeled "Change Slide Master" (would be listed the same in the main menu and the context menu). 

The dialog title ideally becomes "Available Master Slides" (we keep bold section title "Select a..."). The code pointer here is sd/uiconfig/simpress/ui/slidedesigndialog.ui <property name="title" translatable="yes" context="slidedesigndialog|SlideDesignDialog">Slide Design</property>. 

And last but not least we have another dialog that shows up after click on "Load", which title is today "Load Slide Design" and should become "Load Master Slide" (check sd/inc/strings.hrc: "#define STR_LOAD_PRESENTATION_LAYOUT NC_("STR_LOAD_PRESENTATION_LAYOUT", "Load Slide Design")
Comment 7 Commit Notification 2019-01-11 10:09:16 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d1b1d89ee33c50b0d42d7e8fb6f4df96c2513ad0%5E%21

Resolves: tdf#122448 Change menu Item "Slide->Master Slide"

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Cor Nouws 2019-01-11 11:51:16 UTC
great :) ! thanks
Comment 9 Buovjaga 2019-01-11 19:27:39 UTC
Roman: can you change the help files? You can edit them in gerrit: https://wiki.documentfoundation.org/Documentation/GerritEditing
Comment 10 Commit Notification 2019-01-18 13:54:33 UTC
Roman Kuznetsov committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/+/17f4dc9d60c097e7b71f435cfb1d826b4a29dde8%5E%21

tdf#122448 Changing of Help for changings in GUI